<template lang="pug">
.not-found
	container( type="medium" )
		.bg.img.is-flex
			img( v-lazy='require("@/assets/img/soon.webp")' )
		.columns.is-flex.is-multiline
			.column.is-6-widescreen.is-12-tablet.is-12-mobile
				.column-container
					h1.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start
						span Coming
						span 
							|S
							img( v-lazy='require("@/assets/img/eye.webp")' role="text" alt="o" )
							img( v-lazy='require("@/assets/img/eye.webp")' role="text" alt="o" )
							|n...
					.title-wrap
						title-bar( :content='$i18n.locale == "ru" ? "Страница|в разработке" : "This page is|under development"' )
						p {{ $i18n.locale == "ru" ? "К сожалению, страница ещё не готова, но вот-вот появится. Вернитесь позже!" : "Unfortunately, the page is not ready yet, but it will appear soon. Come back later!" }}
			.column.is-6-widescreen.is-12-tablet.is-12-mobile
				.column-container
					.img.is-flex
						img( v-lazy='require("@/assets/img/pepe_sad.webp")' )
					//- buttons( centered )
						b-button( as="router-link" :to='{ name: "Homepage" }' ) {{ $t("buttons.to_main") }}
</template>

<script>
export default {}
</script>

<style lang="scss" scoped>
.section::v-deep {
	.container {
		height: 100%;
	}
}

.bg {
	max-width: 763px;
	position: absolute;
	top: 0;
	right: 0;
	z-index: 0;
}

.columns {
	position: relative;
	z-index: 1;
}

h1 {
	font-size: 7.75rem;
	font-weight: 900;
	line-height: 80%;
	display: inline-block;
	margin-bottom: 3rem;
	img {
		height: .63em;
		display: inline-block;
	}
	@include max_tablet {
		font-size: 3.9375rem;
	}
}

.title-wrap {
	p {
		font-weight: 500;
		max-width: 450px;
	}
}

.column:last-of-type {
	.img {
		max-width: 382px;
		margin: 0 auto 2rem;
	}
}
</style>